Support for browsers

  • Updated

Bynder is compatible with the most widely-used browsers. By only supporting the most popular browsers, we can ensure you have the best Bynder experience possible and allow us to focus on creating new, exciting features for you.

We support the following browsers:

  • Edge (latest stable version)

  • Firefox (latest stable version)

  • Chrome (latest stable version)

  • Safari (latest stable version)

To have the best Bynder experience possible, we advise you to use Chrome and constantly update your browser to the latest stable version.

Was this article helpful?

0 out of 0 found this helpful

We're sorry to hear that!

Find out more in our community

Have more questions? Find out more in our community